### Function

# Gimp progress_update

#### Declaration [src]

    gboolean
    gimp_progress_update (
      gdouble percentage
    )

#### Description [src]

Updates the progress bar for the current plug-in.

The library will handle over-updating by possibly dropping silently some updates when they happen too close next to each other (either time-wise or step-wise). The caller does not have to take care of this aspect of progression and can focus on computing relevant progression steps.

#### Parameters

`percentage` | `gdouble`
| Percentage of progress completed (in the range from 0.0 to 1.0).

#### Return value

Returns: | `gboolean`
| TRUE on success.